Subject: Re: bug#75036: [PATCH]: Update hyprland to 0.46.2

From: "Collin J. Doering" <[email-masked]>
Date: Thu, 02 Jan 2025 15:01:33 -0500

Looks like we missed a (partly?) optional dependency during the upgrade to 0.46.2. Namely, when I boot [email-masked] after updating, I see the following warning when hyprland boots:

--8<---------------cut here---------------start------------->8---
Your system does not have hyprland-qtutils installed. This is a runtime dependency for some dialogs. Consider installing it.
--8<---------------cut here---------------end--------------->8---

This is coming from https://github.com/hyprwm/Hyprland/blob/v0.46.2/src/Compositor.cpp#L2637

Seems like we should also package https://github.com/hyprwm/hyprland-qtutils (a little c++ library) and include it as an input of the hyprland package.

Thanks for the update to Hyprland.

PS: imo, this doesn't seem urgent enough to revert; I think we can just fix forward.

-- 
Collin J. Doering

http://rekahsoft.ca
http://blog.rekahsoft.ca
http://git.rekahsoft.ca